int read_in_data(desc,od,cd)
struct map_entry *desc;
double od[MAX_DURATION][MAX_NUM_UNITS];
long int cd[MAX_DURATION];
/*
	Reads INPUT_UNITS ASCII floating point values from file
	and ASCII decimal output class until EOF
*/
{
FILE *fp;
register int count,x,chan;
register char c;
float value;
int time;
long int place;

if ((fp=fopen(desc->filename,"r")) == NULL)
	{
	fprintf (stderr,"Error, could not open %s\n", desc->filename);
	exit(1);
	}

count=0;

while (((x = getc(fp)) != EOF) && (count < MAX_DURATION))
	{
	c = x;
	if (c != '\n')
		{
		ungetc(c,fp);
		for (chan=0; chan<INPUT_UNITS; chan++)
			{
			fscanf(fp,"%f", &value);
			od[count][chan] = value;
			}
#ifdef ASCII_CLASS_DATA
		fscanf(fp,"%ld", &cd[count]);
#else
#ifdef ASCII_CONTEXT_DATA
		fscanf(fp,"%ld", &cd[count]);
#endif
#endif
		count++;
		}
	}
fclose(fp);

#ifdef CONTEXT
	{
	for (time=0; time<count; time++)
		{
		place = desc->context;
#ifdef CTX_CODED
		for (chan=INPUT_UNITS; chan<INPUT_UNITS + CONTEXT_UNITS; chan++, place /= 2)
			od[time][chan] = place % 2;
#else
		for (chan=INPUT_UNITS; chan<INPUT_UNITS + CONTEXT_UNITS; chan++)
				od[time][chan] = 0.0000;
		od[time][INPUT_UNITS + place] = 1.0000;
#endif
		}
	}
#else
#ifdef ASCII_CONTEXT_DATA
	{
	for (time=0; time<count; time++)
		{
		place = cd[time];
#ifdef CTX_CODED
		for (chan=INPUT_UNITS; chan<INPUT_UNITS + CONTEXT_UNITS; chan++, place /= 2)
			od[time][chan] = place % 2;
#else
		for (chan=INPUT_UNITS; chan<INPUT_UNITS + CONTEXT_UNITS; chan++)
				od[time][chan] = 0.0000;
		od[time][INPUT_UNITS + place] = 1.0000;
#endif
		}
	}
#endif
#endif


if (count == MAX_DURATION)
	{
	fprintf(stderr,"Read Max Byte Count - %d - leaving\n",count);
	exit(1);
	}
return(count);
}

